# EncounterPokemonRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EncounterPokemonRequirement`Abstract`

#### Hierarchy (View Summary)

- EncounterPokemonRequirement
  - CombinationPokemonRequirement
  - SpeciesRequirement
  - NatureRequirement
  - TypeRequirement
  - MoveRequirement
  - CompatibleMoveRequirement
  - AbilityRequirement
  - StatusEffectRequirement
  - CanFormChangeWithItemRequirement
  - CanEvolveWithItemRequirement
  - HeldItemRequirement
  - AttackTypeBoosterHeldItemTypeRequirement
  - LevelRequirement
  - FriendshipRequirement
  - HealthRatioRequirement
  - WeightRequirement
  - CanLearnMoveRequirement

#### Implements

- EncounterRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:90

##### Index

### Constructors

constructor

### Properties

invertQuery
minNumberOfPokemon

### Methods

getDialogueToken
meetsRequirement
queryParty

## Constructors

### constructor

- new EncounterPokemonRequirement(): EncounterPokemonRequirement

  #### Returns EncounterPokemonRequirement

## Properties

### invertQuery

invertQuery: boolean

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:92

### minNumberOfPokemon

minNumberOfPokemon: number

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:91

## Methods

### `Abstract` getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

  #### Returns [string, string]

  Implementation of EncounterRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:110

### `Abstract` meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterPokemonRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Implementation of EncounterRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:97

### `Abstract` queryParty

- queryParty(partyPokemon: PlayerPokemon []): PlayerPokemon []

  Returns all party members that are compatible with this requirement. For non pokemon related requirements, the entire party is returned.

  #### Parameters

  - partyPokemon: PlayerPokemon []

  #### Returns PlayerPokemon []

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:103